/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_RELFILTRAS                                               */
/* Tabela : RELFILTRAS                                                        */
/*                                                                            */
/* Criao:                                                                   */
/*                                                                            */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_RELFILTRAS
BEFORE INSERT OR UPDATE OR DELETE
ON RELFILTRAS FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUFITR := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.IDTPIJURTRAN,0) <> NVL(:NEW.IDTPIJURTRAN,0)) OR
         (NVL(:OLD.NRINSJURTRAN,0) <> NVL(:NEW.NRINSJURTRAN,0)) OR
         (NVL(:OLD.IDTRANSPRINC,0) <> NVL(:NEW.IDTRANSPRINC,0)) OR
         (NVL(:OLD.CDFILIAL,0)     <> NVL(:NEW.CDFILIAL,0)) THEN
         :NEW.DTULTATUFITR := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('RELFILTRAS', :OLD.CDFILIAL, 'IDTPIJURTRAN='||:OLD.IDTPIJURTRAN||';NRINSJURTRAN='||:OLD.NRINSJURTRAN||';CDFILIAL='||:OLD.CDFILIAL||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE RELFILTRAS MODIFY DTULTATUFITR DEFAULT SYSDATE
/
