function tipoDeBaixaAPagar() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const self = this;
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		self.clickByPath(['Parametrização', 'Financeiro', 'Títulos a Pagar', 'Tipo de Baixa a Pagar']);
		geral.esperarLoading();
		geral.clickAplicarFiltro();
	};
	// Override funçao Zeedhi, pois não funciona para 'Tipo de Baixa a Pagar'
	this.clickByPath = function (fullPath) {
		let prefix = '.zh-main-menu>.menu-group>.menu-group-items>';
		let child;
		for (const index in fullPath) {
			if (fullPath.hasOwnProperty(index)) {
				if (fullPath[index] == 'Títulos a Pagar') {
					child = element.all(by.cssWithExactText(prefix + '.menu-item>.menu-link>.menu-title', fullPath[index])).get(1);
				} else {
					child = element(by.cssWithExactText(prefix + '.menu-item>.menu-link>.menu-title', fullPath[index]));
				}
				child = child.element(by.xpath('..')).element(by.xpath('..'));
				protractorHelper.click(child);
				prefix = '.sub-menu>';
				browser.sleep(500);
			}
		}
	};
    this.adicionar = (codigoTipoDeBaixaPagar, descricaoTipoDeBaixaPagar, operacao, valorParaEmissaoCnab,
        geraEstornoBancario, tipoCreditoBancario, contabilizaLancamento, historicoIntegracao) => {
		geral.clickAndFllField('CDTPBAIXAPAG', codigoTipoDeBaixaPagar);
		geral.clickAndFllField('NMTPBAIXAPAG', descricaoTipoDeBaixaPagar);
        geral.selectNative('IDBAIXAUTILP', operacao);
        geral.clickAndFllField('VRMAXDOCCNAB', valorParaEmissaoCnab);
        geral.selectNative('IDESTOREXPAG', geraEstornoBancario);
        geral.searchAndClickGridField('DSTPCREDBANC', tipoCreditoBancario);
        geral.selectNative('IDCTBLBXPAG', contabilizaLancamento);
		geral.searchAndClickGridField('DSHISTPADR', historicoIntegracao, 'DSHISTPADR');
	};
    this.editar = (descricaoTipoDeBaixaPagar, operacao, geraEstornoBancario, contabilizaLancamento,
        historicoIntegracao) => {
        geral.fillField('NMTPBAIXAPAG', descricaoTipoDeBaixaPagar);
        geral.selectNative('IDBAIXAUTILP', operacao);
        geral.selectNative('IDESTOREXPAG', geraEstornoBancario);
        geral.selectNative('IDCTBLBXPAG', contabilizaLancamento);
		geral.clickLimparAutoComplete('DSHISTPADR');
		geral.searchAndClickGridField('DSHISTPADR', historicoIntegracao, 'DSHISTPADR');
	};
}
module.exports = new tipoDeBaixaAPagar();
